summaryrefslogtreecommitdiffstats
path: root/local/.bin/smt
diff options
context:
space:
mode:
Diffstat (limited to 'local/.bin/smt')
-rwxr-xr-xlocal/.bin/smt9
1 files changed, 9 insertions, 0 deletions
diff --git a/local/.bin/smt b/local/.bin/smt
new file mode 100755
index 0000000..ad3f459
--- /dev/null
+++ b/local/.bin/smt
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -eu
+
+podman images | grep -q localhost/smt || cat <<EOF | podman build -t smt -f -
+FROM docker.io/alpine:latest
+RUN apk add perl make
+RUN env PERL_MM_USE_DEFAULT=1 perl -MCPAN -e'install Games::SMTNocturne::Demons'
+EOF
+podman run --rm smt smt "$@"